public static interface VmEndpointBuilderFactory.VmBuilders
| Modifier and Type | Method and Description |
|---|---|
default VmEndpointBuilderFactory.VmEndpointBuilder |
vm(String path)
VM (camel-vm)
Call another endpoint in the same CamelContext asynchronously.
|
default VmEndpointBuilderFactory.VmEndpointBuilder |
vm(String componentName,
String path)
VM (camel-vm)
Call another endpoint in the same CamelContext asynchronously.
|
default VmEndpointBuilderFactory.VmEndpointBuilder vm(String path)
vm:name
Path parameter: name (required)
Name of queuepath - namedefault VmEndpointBuilderFactory.VmEndpointBuilder vm(String componentName, String path)
vm:name
Path parameter: name (required)
Name of queuecomponentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel